# ezQuake Manual: Sound Variables

- MP3 Settings
- Sound Settings

## MP3 Settings Variables

### mp3_grabvolume

#### Description

Toggles client control of your music player volume.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 2

#### Values

value | description
1 | Control volume of your music player.
0 | Do not get / set volume of your music player.

### mp3_scrolltitle

#### Description

Toggles scrolling of the song info in mp3 player control window.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

#### Values

value | description
1 | Enable song info scrolling.
0 | Do not scroll song info text.

### mp3_showtime

#### Description

Toggles displaying song time information in mp3 player control window.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

#### Values

value | description
0 | Do not display song time information.
1 | Display song time and total time of currently played song.
2 | Display remaining time only.

### mp3_volume

#### Description

Controls volume of your external music player.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.
Use values from 0 to 1.

### mp3_winamp_dir

#### Description

Tells your client the path where it should look for your external music player.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: c:/program files/winamp

Variable is string.

## Sound Settings Variables

### bgmvolume

#### Description

This variable sets the volume of the CD music.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.

### cl_staticSounds

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

#### Values

value | description
1 | Enable static sounds.
0 | Disable static sounds.

### s_ambientfade

#### Description

How fast the volume of ambient sounds changes as you move around the map.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 100

Variable is float.

### s_ambientlevel

#### Description

Volume level of ambient sounds (produced by liquid and sky brushes).

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0.3

Variable is float.

### s_initsound

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.

### s_khz

#### Description

Sound quality. Must be set from the commandline Example: ezquake-gl.exe +set s_khz 44

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 11

Variable is float.

### s_loadas8bit

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 | On (The sound samples will be loaded in 8-bit mode thus making them a little smaller.
0 | Off.

This will give a little performance boost when playing the game at the cost of quality for the sound samples.)

### s_mixahead

#### Description

This variable defines the delay time for sounds. How low you can set your sound mixahead depends on your FPS, when you set it too low, your sound will start crackling. Generally, with 72 FPS you should be able to use a delay of 0.06 seconds, if you use the command-line switch "-primarysound", you may be able to go even lower, but results may vary on this.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0.1

Variable is float.

### s_noextraupdate

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 | Don't use extra sound updates. Gives a slight fps boost, but may lead to choppy sound on low-end machines
0 | Makes Quake update its sound buffers more often to avoid choppy sound when your fps is really low (20 or worse)

### s_nosound

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 | Disable the playback of sounds. Note that it effectively just resets sound volume to zero, but the sound engine still runs. If you want disable sound in order to get more fps, use the -nosound command line option instead.
0 | Enable the playback of sounds.

### s_precache

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

#### Values

value | description
1 | Enable automatic sound caching.
0 | Disable automatic sound caching.

### s_show

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 | Enable that the number of currently playing sound files is displayed.
0 | Disable that the number of currently playing sound files is displayed.

### s_swapstereo

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 | Will swap left and right sound channels.
0 | Off

### volume

#### Description

Sets sound volume.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0.7

Variable is float.
Use values from 0 to 1.

Even higher values than 1 are possible, but sound usually gets faithless with them.

Last update: 09.11.2005 02:15 PST, made by JohnNy_cz